<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" />
<jsp:directive.include file="/jsp/custom/result_info.jsp" />
<og:comment
	system   = "GE:エンジン"
	pgid     = "GE0010"
	title    = "画面"
	date     = "2013/10/18"
	author   = "Takahashi Masakazu"
	text     = "ZZZZ"
	version  = "001"
>

</og:comment>

<og:equals val1="{@SYS.VER4_COMPATIBLE_MODE}" val2="true">
	<og:value command="SET" key="C_ROLES" value="ROLE" />
</og:equals>
<og:equals val1="{@SYS.VER4_COMPATIBLE_MODE}" val2="true" notEquals="true">
	<og:value command="SET" key="C_ROLES" value="ROLES" />
</og:equals>

<!-- ワーニングメッセージです。ここでは、登録完了のメッセージを表示します。 -->
<og:errorMessage command="{@command}" clear="{@clear}" displayMsg="{@displayMsg}" />

<og:upload
	fileURL		= "{@USER.ID}"
	filename	= "GE0010.xls"
/>

<og:columnCheck
	command   = "{@command}"
	columns   = "SYSTEM_ID"
	nullCheck = "SYSTEM_ID"
/>

<og:readTable
        command      = "NEW"
        fileURL      = "{@USER.ID}"    
        filename     = "GE0010.xls"   
        maxRowCount  = "10000" 
/>

<!-- メインテーブルを検索はさせるが、利用はしない -->
<og:value key="USE_UPLOADFILE" value="true" />

<!-- ここから先の処理は各画面に任せる -->
<og:forward page="result.jsp" gamenId="{@RESOURCE}" keys="SYSTEM_ID,TO_DBID,USE_UPLOADFILE,ACTION,LANG,command" vals="{@SYSTEM_ID},{@TO_DBID},{@USE_UPLOADFILE},{@ACTION},{@LANG},NEW" />

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
